%global momorel 3
%global mozver 1.7.13

Summary: Video processing tool
Name: avidemux
Version: 2.1.2
Release: %{momorel}m
URL: http://www.avidemux.org/
%NoSource 0 http://download.berlios.de/%{name}/%{name}-%{version}.tar.gz 727214aacdf729506a13d0e0117f01de
Source1: avidemux.desktop
Source2: avidemux.png
Group: Applications/Multimedia
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils, fontconfig-devel, slang-devel
BuildRequires: gtk+-devel, ffmpeg, libvorbis-devel, alsa-lib-devel
BuildRequires: arts-devel, faad2-devel, lame-devel, xvid, libmad, libid3tag
BuildRequires: mjpegtools-devel >= 1.6.0-5m
BuildRequires: SDL-devel >= 1.2.7-11m
BuildRequires: mozilla-devel >= 1.7.13
Requires: mozilla >= 1.7.13

%description
Avidemux is a graphical tool to edit video. It can open AVI, MPEG, Nuppelvideo and BMPs. Most common codecs are supported (M-JPEG, MPEG, DivX, Xvid, huffyuv, WMA, etc.) thanks to libavcodec. Video can be edited, cut, appended, filtered (resize/crop/denoise), and re-encoded to either AVI (DivX/Xvid) or MPEG 1/2.


%prep
%setup -q 

%build
autoreconf -fi
%configure --disable-warning \
 --with-jsapi-include=%{_includedir}/mozilla-%{mozver}/js \
 LDFLAGS="$LDFLAGS `mozilla-config --libs`"
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category AudioVideoEditing \
  --add-category AudioVideo \
  --add-category Application \
  %{SOURCE1}

%{__cat} > %{buildroot}%{_bindir}/avidemux << EOF
#/bin/sh
LD_LIBRARY_PATH="\$LD_LIBRARY_PATH:%{_libdir}/mozilla-%{mozver}/:" exec /usr/bin/avidemux2
EOF
%{__chmod} 755 %{buildroot}%{_bindir}/avidemux

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog History README TODO
%{_bindir}/*
#%{_datadir}/locale/*
%{_datadir}/applications/avidemux.desktop
%{_datadir}/pixmaps/avidemux.png

%changelog
* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.2-3m)
- revised run script

* Sun Apr 23 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.2-2m)
- rebuild against mozilla-1.7.13
- revised spec

* Fri Mar 10 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.2-1m)
- version 2.1.2

* Sun Feb  5 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.42-2m)
- use gcc_3_2 on 64bit archs

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.42-1m)
- update 2.0.42
- add gcc-4.1 patch.
- Patch0:  avidemux-2.0.42-gcc41.patch

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.38-0.1.2m)
- rebuild against SDL-1.2.7-11m

* Fri Feb 25 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.38-0.1.1m)
  update to 2.0.38rc1

* Fri Feb 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.36-2m)
- move avidemux.desktop to %%{_datadir}/applications/
- BuildPreReq: desktop-file-utils

* Wed Feb 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.0.36-1m)
- update to 2.0.36.

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.30-3m)
- rebuild against SDL-devel

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.30-2m)
- rebuild with lame, xvid.

* Mon Oct 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.30-1m)
- update to 2.0.30

* Fri Oct 01 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.28-1m)
- update to 2.0.28

* Sun May  2 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.22-1m)
- update to 2.0.22
- rebuild against xvid-1.0.0rc4 (apiversion 4)

* Tue Jan  6 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.20-1m)
- version 2.0.20
- Major feature enhancements
- - the UI has changed a lot (the shortcut keys have changed)

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.0.18-2m)
- use lidmad

* Wed Nov  5 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.18-1m)
- major feature enhancements

* Sat Sep 27 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.16-1m)
- major feature enhancements

* Thu Aug 21 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.14-1m)
- update to 2.0.14
- major bugfixes
- use %%NoSource macro

* Thu Aug  7 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.12-1m)
- gtk2 version
- This is still development version, but according to the project homepage,
-  "0.9 branch is becoming really obsolete and has problems dealing with
-  newer libxml and libdivx libraries"
-  add BuildPreReq: xvid, mad-devel
- minor feature enhancements
- more detailed description

* Wed Apr 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-1m)
- minor bugfixes

* Sun Mar 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.103.1m)
- 0.9rc3
- major bugfixes

* Sun Mar  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.102.1m)
- 0.9rc2
- major bugfixes

* Sun Mar  2 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.101.1m)
- 0.9rc1
- major feature enhancements

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.30.1m)
- 0.9pre30
- major feature enhancements

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9-0.26.2m)
- apply an official patch for freetype2-2.1.3

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9-0.26.1m)
- 0.9pre26
